Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/MainForm.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/MainForm.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/MainForm.cs	(revision 4254)
@@ -7,51 +7,45 @@
 using System.Text;
 using System.Windows.Forms;
-using HeuristicLab.Hive.Server.Properties;
 
-namespace HeuristicLab.Hive.Server
-{
-    public partial class MainForm : Form {
-        public MainForm(Dictionary<string, Uri> addresses) {
-          InitializeComponent();
-          this.Visible = false;
-          this.Hide();
+namespace HeuristicLab.Hive.Server {
+  public partial class MainForm : Form {
+    public MainForm(Dictionary<string, Uri> addresses) {
+      InitializeComponent();
 
-          Uri uri;
-          StringBuilder servicesTxt = new StringBuilder();
-          addresses.TryGetValue(HeuristicLabHiveServerApplication.STR_ClientCommunicator, out uri);
-          if (uri != null)
-            servicesTxt.AppendLine(String.Format("Server Client: {0}", uri));
-          addresses.TryGetValue(HeuristicLabHiveServerApplication.STR_ServerConsoleFacade, out uri);
-          if (uri != null)
-            servicesTxt.AppendLine(String.Format("Server Console: {0}", uri));
-          addresses.TryGetValue(HeuristicLabHiveServerApplication.STR_ExecutionEngineFacade, out uri);
-          if (uri != null)
-            servicesTxt.AppendLine(String.Format("Execution Engine: {0}", uri));
+      Uri uri;
+      StringBuilder servicesTxt = new StringBuilder();
+      addresses.TryGetValue(HeuristicLabHiveServerApplication.STR_ClientCommunicator, out uri);
+      if (uri != null)
+        servicesTxt.AppendLine(String.Format("Server Client: {0}", uri));
+      addresses.TryGetValue(HeuristicLabHiveServerApplication.STR_ServerConsoleFacade, out uri);
+      if (uri != null)
+        servicesTxt.AppendLine(String.Format("Server Console: {0}", uri));
+      addresses.TryGetValue(HeuristicLabHiveServerApplication.STR_ExecutionEngineFacade, out uri);
+      if (uri != null)
+        servicesTxt.AppendLine(String.Format("Execution Engine: {0}", uri));
 
-          rtfServices.AppendText(servicesTxt.ToString());
+      rtfServices.AppendText(servicesTxt.ToString());
 
-          ni.Icon = Resources.HeuristicLab;
-          ni.BalloonTipTitle = "HL Hive Server Services";
-          ni.BalloonTipText = servicesTxt.ToString();
-          ni.BalloonTipIcon = ToolTipIcon.Info;
-          ni.Text = "HL Hive Server Services";
-          ni.ShowBalloonTip(10000);
-        }
+      ni.Icon = HeuristicLab.Common.Resources.HeuristicLab.Icon;
+      ni.BalloonTipTitle = "HL Hive Server Services";
+      ni.BalloonTipText = servicesTxt.ToString();
+      ni.BalloonTipIcon = ToolTipIcon.Info;
+      ni.Text = "HL Hive Server Services";
+      ni.ShowBalloonTip(10000);
+    }
 
-        private void CloseApp(object sender, EventArgs e) {
-          Dispose();
-        }
+    private void CloseApp(object sender, EventArgs e) {
+      this.Dispose();
+      Application.Exit();
+    }
 
-        private void ShowInfo(object sender, EventArgs e) {
-          this.Visible = true;
-        }
+    private void ShowInfo(object sender, EventArgs e) {
+      this.Visible = true;
+    }
 
-        private void btnClose_Click(object sender, EventArgs e) {
-          this.Visible = false;
-        }
-
-        private void MainForm_FormClosing(object sender, FormClosingEventArgs e) {          
-        }
-
+    private void MainForm_FormClosing(object sender, FormClosingEventArgs e) {
+      e.Cancel = true;
+      this.Visible = false;
     }
+  }
 }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/GetJobCompletedEventArgs.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/GetJobCompletedEventArgs.cs	(revision 4254)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/GetJobCompletedEventArgs.cs	(revision 4254)
@@ -0,0 +1,36 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+using System;
+
+namespace HeuristicLab.Hive.Slave.Communication.ServerService {
+  public partial class GetJobCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
+
+    /// <summary>
+    /// Contains the serialized bytestream of the job
+    /// </summary>
+    public byte[] Data {
+      get {
+        base.RaiseExceptionIfNecessary();
+        return (byte[])this.results[1];
+      }
+    }
+  }
+}
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj	(revision 4254)
@@ -111,5 +111,5 @@
     <Compile Include="HeuristicLabHiveSlaveCommunicationPlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="SendJobCompletedEventArgs.cs" />
+    <Compile Include="GetJobCompletedEventArgs.cs" />
     <Compile Include="Service References\ServerService\Reference.cs">
       <AutoGen>True</AutoGen>
@@ -123,4 +123,7 @@
     <None Include="HeuristicLab.snk" />
     <None Include="Properties\AssemblyInfo.frame" />
+    <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.BusinessObjects.JobDto.datasource" />
+    <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.ResponseHeartBeat.datasource" />
+    <None Include="Properties\DataSources\HeuristicLab.PluginInfrastructure.CachedHivePluginInfoDto.datasource" />
     <None Include="Service References\ServerService\Arrays1.xsd">
       <SubType>Designer</SubType>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/HeuristicLab.Hive.Contracts.BusinessObjects1.xsd
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/HeuristicLab.Hive.Contracts.BusinessObjects1.xsd	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/HeuristicLab.Hive.Contracts.BusinessObjects1.xsd	(revision 4254)
@@ -2,6 +2,6 @@
 <xs:schema xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts.BusinessObjects" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts.BusinessObjects" xmlns:xs="http://www.w3.org/2001/XMLSchema">
   <xs:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" />
+  <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
   <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
-  <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
   <xs:import namespace="http://schemas.datacontract.org/2004/07/System" />
   <xs:complexType name="ClientDto">
@@ -71,8 +71,8 @@
   <xs:complexType name="HeartBeatData">
     <xs:sequence>
-      <xs:element minOccurs="0" name="ClientId" type="ser:guid" />
       <xs:element minOccurs="0" name="FreeCores" type="xs:int" />
       <xs:element minOccurs="0" name="FreeMemory" type="xs:int" />
       <xs:element xmlns:q3="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="JobProgress" nillable="true" type="q3:ArrayOfKeyValueOfguiddouble" />
+      <xs:element minOccurs="0" name="SlaveId" type="ser:guid" />
     </xs:sequence>
   </xs:complexType>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/HeuristicLab.Hive.Contracts1.xsd
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/HeuristicLab.Hive.Contracts1.xsd	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/HeuristicLab.Hive.Contracts1.xsd	(revision 4254)
@@ -11,5 +11,5 @@
   </xs:complexType>
   <xs:element name="Response" nillable="true" type="tns:Response" />
-  <xs:complexType name="ResponseHB">
+  <xs:complexType name="ResponseHeartBeat">
     <xs:complexContent mixed="false">
       <xs:extension base="tns:Response">
@@ -20,5 +20,5 @@
     </xs:complexContent>
   </xs:complexType>
-  <xs:element name="ResponseHB" nillable="true" type="tns:ResponseHB" />
+  <xs:element name="ResponseHeartBeat" nillable="true" type="tns:ResponseHeartBeat" />
   <xs:complexType name="ArrayOfMessageContainer">
     <xs:sequence>
@@ -50,14 +50,22 @@
   </xs:simpleType>
   <xs:element name="MessageContainer.MessageType" nillable="true" type="tns:MessageContainer.MessageType" />
-  <xs:complexType name="ResponseJob">
+  <xs:complexType name="ResponseObjectOfJobDtoZAa7YIsz">
+    <xs:annotation>
+      <xs:appinfo>
+        <GenericType Name="ResponseObjectOf{0}{#}" Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts" xmlns="http://schemas.microsoft.com/2003/10/Serialization/">
+          <GenericParameter Name="JobDto" Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts.BusinessObjects">
+          </GenericParameter>
+        </GenericType>
+      </xs:appinfo>
+    </xs:annotation>
     <xs:complexContent mixed="false">
       <xs:extension base="tns:Response">
         <xs:sequence>
-          <xs:element xmlns:q1="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts.BusinessObjects" minOccurs="0" name="Job" nillable="true" type="q1:JobDto" />
+          <xs:element xmlns:q1="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts.BusinessObjects" minOccurs="0" name="Obj" nillable="true" type="q1:JobDto" />
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
-  <xs:element name="ResponseJob" nillable="true" type="tns:ResponseJob" />
+  <xs:element name="ResponseObjectOfJobDtoZAa7YIsz" nillable="true" type="tns:ResponseObjectOfJobDtoZAa7YIsz" />
   <xs:complexType name="ResponseResultReceived">
     <xs:complexContent mixed="false">
@@ -71,14 +79,22 @@
   </xs:complexType>
   <xs:element name="ResponseResultReceived" nillable="true" type="tns:ResponseResultReceived" />
-  <xs:complexType name="ResponsePlugin">
+  <xs:complexType name="ResponseListOfCachedHivePluginInfoDtoZMwZop09">
+    <xs:annotation>
+      <xs:appinfo>
+        <GenericType Name="ResponseListOf{0}{#}" Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts" xmlns="http://schemas.microsoft.com/2003/10/Serialization/">
+          <GenericParameter Name="CachedHivePluginInfoDto" Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.PluginInfrastructure">
+          </GenericParameter>
+        </GenericType>
+      </xs:appinfo>
+    </xs:annotation>
     <xs:complexContent mixed="false">
       <xs:extension base="tns:Response">
         <xs:sequence>
-          <xs:element xmlns:q2="http://schemas.datacontract.org/2004/07/HeuristicLab.PluginInfrastructure" minOccurs="0" name="Plugins" nillable="true" type="q2:ArrayOfCachedHivePluginInfoDto" />
+          <xs:element xmlns:q2="http://schemas.datacontract.org/2004/07/HeuristicLab.PluginInfrastructure" minOccurs="0" name="List" nillable="true" type="q2:ArrayOfCachedHivePluginInfoDto" />
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
-  <xs:element name="ResponsePlugin" nillable="true" type="tns:ResponsePlugin" />
+  <xs:element name="ResponseListOfCachedHivePluginInfoDtoZMwZop09" nillable="true" type="tns:ResponseListOfCachedHivePluginInfoDtoZMwZop09" />
   <xs:complexType name="ResponseCalendar">
     <xs:complexContent mixed="false">
